#blurbody
{
    filter: blur(0);
    height: 1000px;
}

input[type = text] {
    border: none;
    outline: none;
    margin-top: 20px;
    margin-bottom: 40px;
    box-shadow:  var(--card-shadow);
    background-color: var(--text-color);
    color: var(--text-color-2);
    border-radius: var(--border-rad);
    font-family: var(--font);
    font-size: 40px;
    font-weight: bold;
}

#settingsmenu
{
    position: absolute;
    display: none;
    right: 80px;
    top: 42px;
    background-color: var(--main-color);
    border: none;
    outline: none;
    color: var(--text-color);
    /*display: flex;*/
    animation: fadein ease 1s;
}

#dropdown
{
    flex-direction: column;
    justify-content: start;
    align-items: center;
    text-align: center;
    display: none;
    float: left;
    position: absolute;
    right: -300px;
    width: 250px;
    height: 100%;
    bottom: 0;
    border-radius: var(--border-rad);
    box-shadow: var(--card-shadow);
    background-color: var(--text-color);
    animation: slideleft .8s;
}

#dropdowntitle
{
    position: absolute;
    top: 8px;
    width: 150px;
}
#dropdownlist
{
    position: absolute;
    top: 130px;
    flex-direction: column;
    justify-content: normal;
    align-items: center;
    text-align: center;
}

.dropdownitem
{
    font-size: 18px !important;
    padding-top: 20px !important;
    padding-bottom: 20px !important;
    border-radius: 0 !important;
    background-color: var(--text-color) !important;
    color: var(--text-color-2) !important;
    box-shadow: none !important;
    font-weight: lighter !important;
    width: 230px !important;
}

.dropdownitem:hover
{
    background-color: var(--menu-highlight) !important;
}

#sindialog
{
    flex-direction: column;
    justify-content: center;
    align-items: center;
    display: none;
    position: absolute;
    margin-left: auto;
    margin-right: auto;
    left: 0;
    right: 0;
    top: 216px;
    text-align: center;
    height: 200px;
    width: 400px;
    background-color: var(--text-color);
    box-shadow: var(--card-shadow);
    animation: fadein ease 0.8s forwards;
    border-radius: 4px;
}

#trainingdialog
{
    flex-direction: column;
    justify-content: center;
    align-items: center;
    display: none;
    position: absolute;
    margin-left: auto;
    margin-right: auto;
    left: 0;
    right: 0;
    top: 216px;
    text-align: center;
    height: 200px;
    width: 400px;
    background-color: var(--text-color);
    box-shadow: var(--card-shadow);
    animation: fadein ease 0.8s forwards;
    border-radius: 4px;
}

.modebutton {
    width: 200px;
    background-color: var(--text-color) !important;
    color: var(--text-color-2) !important;
    font-size: 18px !important;
    font-weight: lighter !important;
    margin-top: 5px !important;
    margin-bottom: 5px !important;
}

.modebutton:hover
{
    background-color: var(--menu-highlight) !important;
}

.modebuttonSelected {
    width: 200px;
    background-color: var(--main-color) !important;
    font-size: 18px !important;
    font-weight: lighter !important;
    margin-top: 5px !important;
    margin-bottom: 5px !important;
}

#admindialog
{
    flex-direction: column;
    justify-content: center;
    align-items: center;
    display: none;
    position: absolute;
    margin-left: auto;
    margin-right: auto;
    left: 0;
    right: 0;
    top: 216px;
    text-align: center;
    height: 200px;
    width: 400px;
    background-color: var(--text-color);
    box-shadow: var(--card-shadow);
    animation: fadein ease 1s forwards;
    border-radius: 4px;
}

#pword
{
    height: 50px;
    width: 300px;
    border: none;
    outline: none;
    border-radius: 4px;
    color: var(--text-color-2);
    box-shadow: var(--card-shadow);
    align-self: center;
    margin-bottom: 30px;
    text-align: center;
}

#pwordcontrols
{
    position: relative;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

.pwc
{
    background-color: var(--text-color) !important;
    color: var(--text-color-2) !important;
    font-weight: lighter !important;
    font-size: 18px !important;
    margin-left: 20px;
    margin-right: 20px;
}

.pwc:hover
{
    background-color: var(--menu-highlight) !important;
}

#signin
{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    min-height: 40vh;
    animation: fadein ease 1s;
    color: var(--text-color-2);
}

input[type = submit].signinsubmit1
{
    padding: var(--button-padding);
    background-color: var(--main-color);
    color: var(--text-color);
    font-family: var(--font);
    font-weight: bold;
    font-size: var(--button-text-size);
    border: none;
    outline: none;
    border-radius: var(--border-rad);
    box-shadow:  var(--card-shadow);
    -webkit-transition: all 250ms ease;
    -moz-transition: all 250ms ease;
    -ms-transition: all 250ms ease;
    -o-transition: all 250ms ease;
    transition: all 250ms ease;
}
input[type = submit].signinsubmit1:hover
{
    background-color: var(--error-color);
}

input[type = submit].signinsubmit2
{
    padding: var(--button-padding);
    background-color: var(--main-color);
    color: var(--text-color);
    font-family: var(--font);
    font-weight: bold;
    font-size: var(--button-text-size);
    border: none;
    outline: none;
    border-radius: var(--border-rad);
    box-shadow:  var(--card-shadow);
    -webkit-transition: all 250ms ease;
    -moz-transition: all 250ms ease;
    -ms-transition: all 250ms ease;
    -o-transition: all 250ms ease;
    transition: all 250ms ease;
}
input[type = submit].signinsubmit2:hover
{
    background-color: var(--main-color2);
}

#beg
{
    width: 380px;
    margin-top: 24px;
    animation: "SINMode 1s forward";
}

#lm
{
    width: 380px;
    margin-top: 24px;
}

#tt
{
    width: 380px;
    margin-top: 24px;
}

#ite
{
    width: 380px;
    margin-top: 24px;
}

#itr
{
    /*margin-top: 40px;*/
    width: 380px;
    margin-top: 24px;
}

#stp
{
    width: 380px;
    margin-top: 24px;
}

#pd
{
    display: none;
    position: absolute;
    margin-left: auto;
    margin-right: auto;
    margin-top: 96px;
    left: 0;
    right: 0;
}
#menu
{
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    text-align: center;
    min-height: 40vh;
    animation: fadein ease 1s;
    -webkit-animation: fadein ease 1s;
    -moz-animation: fadein ease 1s;
    -o-animation: fadein ease 1s;
}

#left
{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    min-height: 34vh;
    margin-right: 20px;
}

#right
{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    min-height: 34vh;
    margin-left: 20px;
}

#labell
{
    margin-bottom: 40px;
    font-family: var(--font);
    font-size: 20px;
    font-weight: bold;
}
#labelr
{
    margin-bottom: 40px;
    font-family: var(--font);
    font-size: 20px;
    font-weight: bold;
}

#welcome
{
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    font-family: var(--font);
}

#name
{
    font-family: var(--font);
    font-size: var(--button-text-size);
    font-weight: lighter;
    text-align: center;
}

#namelabel
{
    font-family: var(--font);
    font-size: var(--button-text-size);
    font-weight: lighter;
}


#logo1
{
    /*position: relative;*/
    padding-bottom: 5px;
    padding-right: 40px;
    flex-shrink: 0;
    width: 200px;
    height: auto;
}

#logo2
{
    /*position: relative;*/
    padding-left: 5px;
    width: 200px;
    height: auto;
    flex-shrink: 0;
}
#logos
{
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    position: absolute;
    margin-left: auto;
    margin-right: auto;
    left: 0;
    right: 0;
    text-align: center;
    top: 800px;
    clear: both;
}
